
var d_fmt = new Object();
/**
 * 温度数据格式： ###.# ℃
 */
d_fmt.Fct_Wd = 10;
d_fmt.Psn_Wd = 1;
d_fmt.Wd_dec = function(e_wd) {
	if(e_wd==-1)
		return '--';
	else if(e_wd==-2)
		return '&nbsp;';
	
	return (e_wd / this.Fct_Wd).toFixed(this.Psn_Wd);
};
d_fmt.Wd_enc = function(e_wd) {
	return (e_wd * this.Fct_Wd).toFixed(0);
};
/**
 * 压力数据格式： #.### Mpa
 */
d_fmt.Fct_Yl = 1000;
d_fmt.Psn_Yl = 3;
d_fmt.Yl_dec = function(e_wd) {
	if(e_wd==-1)
		return '--';
	else if(e_wd==-2)
		return '&nbsp;';
	
	return (e_wd / this.Fct_Yl).toFixed(this.Psn_Yl);
};
d_fmt.Yl_enc = function(e_wd) {
	return (e_wd * this.Fct_Yl).toFixed(0);
};
/**
 * 水位数据格式： #.## m
 */
d_fmt.Fct_Sw = 100;
d_fmt.Psn_Sw = 2;
d_fmt.Sw_dec = function(e_wd) {
	if(e_wd==-1)
		return '--';
	else if(e_wd==-2)
		return '&nbsp;';
	
	return (e_wd / this.Fct_Sw).toFixed(this.Psn_Sw);
};
d_fmt.Sw_enc = function(e_wd) {
	return (e_wd * this.Fct_Sw).toFixed(0);
};
/**
 * 流量数据格式：###.# T/h
 */
d_fmt.Fct_Ll = 10;
d_fmt.Psn_Ll = 1;
d_fmt.Ll_dec = function(e_wd) {
	if(e_wd==-1)
		return '--';
	else if(e_wd==-2)
		return '&nbsp;';
	
	return (e_wd / this.Fct_Ll).toFixed(this.Psn_Ll);
};
d_fmt.Ll_enc = function(e_wd) {
	return (e_wd * this.Fct_Ll).toFixed(0);
};
/**
 * 电流数据格式 1/0.1/0.01
 */
//d_fmt.Fct_Dl = 10;
//d_fmt.Psn_Dl = 1;
d_fmt.Dl_dec = function(jzh,e_wd) {
	if(e_wd==-1)
		return '--';
	else if(e_wd==-2)
		return '&nbsp;';
	
	return (e_wd / siteInfo.Fct_Dl[jzh]).toFixed(siteInfo.Psn_Dl[jzh]);
};

/**
 * 频率数据格式 0.1
 */
d_fmt.Fct_Pl = 10;
d_fmt.Psn_Pl = 1;
d_fmt.Pl_dec = function(e_wd) {
	if(e_wd==-1)
		return '--';
	else if(e_wd==-2)
		return '&nbsp;';
	
	return (e_wd / this.Fct_Pl).toFixed(this.Psn_Pl);
};
d_fmt.Pl_enc = function(e_wd) {
	return (e_wd * this.Fct_Pl).toFixed(0);
};

var img_0 = new Image(20,20);
var img_n = new Image(20,20);
var img_w = new Image(20,20);
var img_e = new Image(20,20);
var img_ss = new Image(20,20);
var img_ss_e = new Image(20,20);
img_ss.src="img/zsd-ss3.gif";
img_ss_e.src="img/zsd-ss2.gif";
img_0.src="img/zsd-0.jpg";
img_n.src="img/zsd-n.jpg";
img_w.src="img/zsd-w.jpg";
img_e.src="img/zsd-e.jpg";
var img_kg_off = img_0;//变频器停机指示灯
var img_kg_on=img_n;//变频器开机指示灯
var img_kg_warn=img_ss;//变频器开关状态告警指示灯
var img_kg_err=img_ss_e;//变频器开关状态告警指示灯


var e_mask = new Object();
/**   分部泵/循环泵 变频器 电流  */
	e_mask.SbDl=0x0003;
	e_mask.dec_SbDl = function(ec){
		return (ec)&0x03;
	}
	
	/**   流量 */
	e_mask.Ll=0x000C;
	e_mask.dec_Ll = function(ec){
		return (ec>>2)&0x03;
	}
	
	/** 供水压力  */
	e_mask.GsYl=0x0030;
	e_mask.dec_GsYl = function(ec){
		return (ec>>4)&0x03;
	}
	
	/** 供水温度  */
	e_mask.GsWd=0x00C0;
	e_mask.dec_GsWd = function(ec){
		return (ec>>6)&0x03;
	}
	
	/** 回水压力  */
	e_mask.HsYl=0x0300;
	e_mask.dec_HsYl = function(ec){
		return (ec>>8)&0x03;
	}
	
	/** 补水泵告警、断线  */
	e_mask.BsGD=0x0C00;
	e_mask.dec_BsGD = function(ec){
		return (ec>>10)&0x03;
	}
	
	/** 一次网  水位计  */
	e_mask.Sw=0x3000;
	e_mask.dec_Sw = function(ec){
		return (ec>>12)&0x03;
	}
	
	/** 二次网  回水温度  */
	e_mask.HsWdS2=0x3000;
	e_mask.dec_HsWdS2 = function(ec){
		return (ec>>12)&0x03;
	}
	
	
	/** 一次网  回水温度 */
	e_mask.HsWdS1=0xC000;
	e_mask.dec_HsWdS1 = function(ec){
		return (ec>>14)&0x03;
	}
	
	/** 一次网  主站与从站通信\从站与设备通信，异常  */
	e_mask.MxSxD=0xC000;
	e_mask.dec_MxSxD = function(ec){
		return (ec>>14)&0x03;
	}


/**
 * 解释故障码
 */
e_mask.err_desc = function(jzh,ec,gzm,xqm,fqm) {
	if(ec==0)
		return "运行正常";
		
	var desc=xqm;
	
	if(jzh==0){
		desc+='一次网故障:'+gzm;
		
		switch(e_mask.dec_MxSxD(ec)){
			case 2:
				desc+='<br>主站与分站间网络断线！';
				break;
			case 1:
				desc+='<br>分站与设备间通信断线！';
				break;
			default:
				break;
		}
		
		switch(e_mask.dec_Sw(ec)){
			case 3:
				desc+='<br>水位传感器断线！';
				break;
			case 2:
				desc+='<br>水位超上限！';
				break;
			case 1:
				desc+='<br>水位超下限！';
				break;
			default:
				break;
		}
		
		switch(e_mask.dec_SbDl(ec)){
			case 3:
				desc+='<br>分部泵电流信号断线！';
				break;
			case 1:
				desc+='<br>分部泵变频器告警！';
				break;
			default:
				break;
		}
	}else{
		desc=desc+fqm+'故障:'+gzm;
		switch(e_mask.dec_HsWdS1(ec)){
			case 3:
				desc+='<br>一次网回水温度传感器断线！';
				break;
			case 2:
				desc+='<br>一次网供水、回水温差小于5℃！';
				break;
			case 1:
				desc+='<br>一次网供水、回水温差小于10℃！';
				break;
			default:
				break;
		}
		
		switch(e_mask.dec_HsWdS2(ec)){
			case 3:
				desc+='<br>回水温度传感器断线！';
				break;
			case 2:
				desc+='<br>回水温度超上限！';
				break;
			case 1:
				desc+='<br>回水温度超下限！';
				break;
			default:
				break;
		}
		
		switch(e_mask.dec_SbDl(ec)){
			case 1:
				desc+='<br>循环泵变频器告警！';
				break;
			case 3:
				desc+='<br>循环泵电流信号断线！';
				break;
			default:
				break;
		}/****/
	}

	switch(e_mask.dec_Ll(ec)){
		case 3:
			desc+='<br>流量计断线！';
			break;
		default:
			break;
	}
	
	switch(e_mask.dec_GsYl(ec)){
		case 3:
			desc+='<br>供水压力传感器断线！';
			break;
		case 2:
			desc+='<br>供水压力超上限！';
			break;
		case 1:
			desc+='<br>供水压力超下限！';
			break;
		default:
			break;
	}
	switch(e_mask.dec_GsWd(ec)){
		case 3:
			desc+='<br>供水温度传感器断线！';
			break;
		case 2:
			desc+='<br>供水温度低于平均值超10℃！';
			break;
		case 1:
			desc+='<br>供水温度低于平均值超5℃！';
			break;
		default:
			break;
	}
	
	switch(e_mask.dec_HsYl(ec)){
		case 3:
			desc+='<br>回水压力传感器断线！';
			break;
		case 2:
			desc+='<br>回水压力超上限！';
			break;
		case 1:
			desc+='<br>回水压力超下限！';
			break;
		default:
			break;
	}
	
	switch(e_mask.dec_BsGD(ec)){
		case 1:
			desc+='<br>补水泵变频器报警！';
			break;
		case 3:
			desc+='<br>补水泵变频器通信断线！';
			break;
		default:
			break;
	}

	return desc;
};

var hexChars = new Array('0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A',
		'B', 'C', 'D', 'E', 'F');
/**
 * 将数字转换为4位16进制字符串
 * 
 * @param val
 * @returns {String}
 */
function toHexStr(val) {
	if (val == 0)
		return "";
	var hs = "";
	var s = val, y = 0;
	while (s > 0) {
		y = s % 16;
		s = Math.floor(s / 16);
		hs = hexChars[y].concat(hs);
	}
	hs = "0000".concat(hs);
	return hs.substr(hs.length - 4);
}


/**
 * 十进制数值(int_dec)转换为指定长度(len)的16进制字符串，前补0
 */
function dec2hex(int_dec,len){
	var h=Number(int_dec).toString(16);
	if(len){
	 for(var i=h.length;i<len;i++)
	 	h="0".concat(h);
	}
	return h;
}
/**
 * 10进制数值故障码,编码为8位0-3的数字
 */
function encodeGz(ec){
	if(ec==0)return "&nbsp;";
	var gzm="",gzv=0;
	for(var i=0;i<8;i++){
		gzv=ec&0x03;
		ec>>=2;
		
		gzm=gzv+""+(gzm);
	}
	return gzm;
}

/**
 * 16进制字符串(hex_str)转换为10进制数值,无效字符串返回NaN
 */
function hex2dec(hex_str){
	var d=parseInt(hex_str,16);
	return d;
}
/**
 * 格式化时钟
 */
function formatTime_1(date){
	var M = date.getMonth() + 1;
	var d = date.getDate();
	var h = date.getHours();
	var m = date.getMinutes();
	var s = date.getSeconds();

	var now = date.getFullYear() + "年"

	//if (M < 10)		now += "0";
	now += M + "月";

	//if (d < 10)		now += "0";
	now = now + d + "日 ";

	if (h < 10)		now += "0";
	now = now + h + ":";

	if (m < 10)		now += "0";
	now = now + m + ":";

	if (s < 10)		now += "0";
	now = now + s;
	//now = now + "秒";
	
	return now;
}

/**
 * 创建时钟显示串
 */
function getTime() {
	var date = new Date();
	return formatTime_1(date);
}

// yyyy-MM-dd HH:mm:ss
function getTimeL(time) {
	var date = new Date();
	if (time > 0)
		date.setTime(time);
	var M = date.getMonth() + 1;
	var d = date.getDate();
	var h = date.getHours();
	var m = date.getMinutes();
	var s = date.getSeconds();

	var now = date.getFullYear() + "-";

	if (M < 10)
		now += "0";
	now += M + "-";

	if (d < 10)
		now += "0";
	now = now + d + " ";

	if (h < 10)
		now += "0";
	now = now + h + ":";

	if (m < 10)
		now += "0";
	now = now + m + ":";

	if (s < 10)
		now += "0";
	now = now + s;

	return now;
}

/**
 * 客户端机器时钟
 */
function curTimeMs() {
	return new Date().getTime()
}

/**
 * 判断元素是否有滚动条
 */
var isScroll = function (el) {
    // test targets
    var elems = el ? [el] : [document.documentElement, document.body];
    var scrollX = false, scrollY = false;
    for (var i = 0; i < elems.length; i++) {
        var o = elems[i];
        // test horizontal
        var sl = o.scrollLeft;
        o.scrollLeft += (sl > 0) ? -1 : 1;
        scrollX = (o.scrollLeft != sl) || scrollX;
        o.scrollLeft = sl;
        // test vertical
        var st = o.scrollTop;
        o.scrollTop += (st > 0) ? -1 : 1;
        scrollY = (o.scrollTop != st) || scrollY;
        o.scrollTop = st;
    }

    return {
        scrollX: scrollX,
        scrollY: scrollY
    };
}

var hasScroll = function (el) {
    var elems = el ? [el] : [document.documentElement, document.body];
    var scrl = false;
    for (var i = 0; i < elems.length; i++) {
        var o = elems[i];
        var sl = o.scrollLeft;
        o.scrollLeft += (sl > 0) ? -1 : 1;
        if(o.scrollLeft != sl) {
        	scrl=true;
        }
        o.scrollLeft = sl;
        if(scrl)return true;
        
        var st = o.scrollTop;
        o.scrollTop += (st > 0) ? -1 : 1;
        if(o.scrollTop != st) {
        	scrl=true;
        }
        o.scrollLeft = st;
        if(scrl)return true;
    }
    return false;
}

function hasScrollY1(el) {
    var obj = el ? el : (document.documentElement?document.documentElement:document.body);
    var st1=obj.scrollTop;
    obj.scrollTop += (st1 > 0) ? -1 : 1;
    var st2=obj.scrollTop;
    return st1!=st1;
}

/**
 * 浏览器窗口自动最大化
 */
function winfix() { 
	var width,height;
	if (document.layers) { 
		width=screen.availWidth-10; 
		height=screen.availHeight-20; 
	} else { 
		width=screen.availWidth-2; 
		height=screen.availHeight; 
	} 
	self.resizeTo(width, height); 
	self.moveTo(0, 0); 
}  

/** 将Date转化为指定格式的String:月M/日d/时h/分m/秒s/季q,用 1-2 个占位符; 年y用1-4个占位符;毫秒S用1个占位符。
	例子： (new Date()).fmt("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 **/
Date.prototype.fmt = function(fmt){ //author: meizz 
  var o = { 
    "M+" : this.getMonth()+1,                 //月份 
    "d+" : this.getDate(),                    //日 
    "h+" : this.getHours(),                   //小时 
    "m+" : this.getMinutes(),                 //分 
    "s+" : this.getSeconds(),                 //秒 
    "q+" : Math.floor((this.getMonth()+3)/3), //季度 
    "S"  : this.getMilliseconds()             //毫秒 
  }; 
  if(/(y+)/.test(fmt)) 
    fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length)); 
  for(var k in o) 
    if(new RegExp("("+ k +")").test(fmt)) 
  fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length))); 
  return fmt; 
}


function getInfo() {
	var s = "";
	s += " 网页可见区域宽：document.body.clientWidth=" + document.body.clientWidth + "\n";
	s += " 网页可见区域高：document.body.clientHeight=" + document.body.clientHeight + "\n";
	s += " 网页可见区域宽：document.body.offsetWidth=" + document.body.offsetWidth + " (包括边线和滚动条的宽)" + "\n";
	s += " 网页可见区域高：document.body.offsetHeight=" + document.body.offsetHeight + " (包括边线的宽)" + "\n";
	s += " 网页正文全文宽：document.body.scrollWidth=" + document.body.scrollWidth + "\n";
	s += " 网页正文全文高：document.body.scrollHeight=" + document.body.scrollHeight + "\n";
	s += " 网页被卷去的高(ff)：document.body.scrollTop=" + document.body.scrollTop + "\n";
	s += " 网页被卷去的高(ie)：document.documentElement.scrollTop=" + document.documentElement.scrollTop + "\n";
	s += " 网页被卷去的左：document.body.scrollLeft=" + document.body.scrollLeft + "\n";
	s += " 网页正文部分上：window.screenTop=" + window.screenTop + "\n";
	s += " 网页正文部分左：window.screenLeft=" + window.screenLeft + "\n";
	s += " 屏幕分辨率的高：window.screen.height=" + window.screen.height + "\n";
	s += " 屏幕分辨率的宽：window.screen.width=" + window.screen.width + "\n";
	s += " 屏幕可用工作区高度：window.screen.availHeight=" + window.screen.availHeight + "\n";
	s += " 屏幕可用工作区宽度：window.screen.availWidth=" + window.screen.availWidth + "\n";
	s += " 你的屏幕设置是 " + window.screen.colorDepth + " 位彩色" + "\n";
	s += " 你的屏幕设置 " + window.screen.deviceXDPI + " 像素/英寸" + "\n";
	alert(s);
}