/**Date格式化，类似Java格式化字符串：月M/日d/时H/分m/秒s/季q,用 1-2 个占位符;年y用1-4个占位符;毫秒S用1个占位符。
 * 例子： (new Date()).fmt("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 
 **/
Date.prototype.fmt = function(fmt){ //author: meizz 
  var o = { 
    "M+" : this.getMonth()+1,                 //月份 
    "d+" : this.getDate(),                    //日 
    "H+" : this.getHours(),                   //小时 
    "m+" : this.getMinutes(),                 //分 
    "s+" : this.getSeconds(),                 //秒 
    "q+" : Math.floor((this.getMonth()+3)/3), //季度 
    "S"  : this.getMilliseconds()             //毫秒 
  }; 
  if(/(y+)/.test(fmt)) 
    fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length)); 
  for(var k in o) 
    if(new RegExp("("+ k +")").test(fmt)) 
  fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length))); 
  return fmt; 
}

/**
 * 检测el元素是否有滚动条，el为空时判断页面是否有滚动条
 */
function hasScroll(el) {
    var elems = el ? [el] : [document.documentElement, document.body];
    var scrl = false;
    for (var i = 0; i < elems.length; i++) {
        var o = elems[i];
        var sl = o.scrollLeft;
        o.scrollLeft += (sl > 0) ? -1 : 1;
        if(o.scrollLeft != sl) {
        	scrl=true;
        }
        o.scrollLeft = sl;
        if(scrl)return true;
        
        var st = o.scrollTop;
        o.scrollTop += (st > 0) ? -1 : 1;
        if(o.scrollTop != st) {
        	scrl=true;
        }
        o.scrollLeft = st;
        if(scrl)return true;
    }
    return false;
}
/**
 * 单位转换：整数转换为制定小数位数的浮点数
 *
 * @param v
 *            整数
 * @param w
 *            小数位数
 * @returns
 */
function int2float(v, w) {
	var f1 = v / Math.pow(10, w);
	var f = new Number(f1).toFixed(w);
	return f;
}